Page MenuHomePhabricator

copyright notice can't be dismissed
Closed, ResolvedPublic

Description

The copyright notice popup can't be dismissed anymore. This seems to have been introduced on wikidata.org with the update on April 18.


Version: master
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=47496

Details

Reference
bz47435

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz47435.
bzimport added a subscriber: Unknown Object (MLST).

Related URL: https://gerrit.wikimedia.org/r/60133 (Gerrit Change I0d89bea59421883de5765e445666267adf02482d)

aude added a comment.Apr 20 2013, 9:45 PM

I think this tooltip also should have a css id so that users could hide it with user css/js if they prefer, but not doing that in this change.

Related URL: https://gerrit.wikimedia.org/r/60277 (Gerrit Change I8d2517568b394f9da8e2ad753e5c8d9fe9595a45)

https://gerrit.wikimedia.org/r/60277 (Gerrit Change I8d2517568b394f9da8e2ad753e5c8d9fe9595a45) | change APPROVED and MERGED [by Tobias Gritschacher]

Related URL: https://gerrit.wikimedia.org/r/60284 (Gerrit Change I8d2517568b394f9da8e2ad753e5c8d9fe9595a45)

https://gerrit.wikimedia.org/r/60284 (Gerrit Change I8d2517568b394f9da8e2ad753e5c8d9fe9595a45) | change APPROVED and MERGED [by Aude]

https://gerrit.wikimedia.org/r/60133 (Gerrit Change I0d89bea59421883de5765e445666267adf02482d) | change ABANDONED [by Aude]

soulkeeper.wikipedia wrote:

It still doesn't remember that you have clicked "Do not show this message again" for very long.

(In reply to comment #9)

It still doesn't remember that you have clicked "Do not show this message
again" for very long.

The cookie should stay forever. But if you switch the language you'll have to dismiss the dialog for that language again.

soulkeeper.wikipedia wrote:

I see that the status has been changed to "Verified" now. Good.

The setting is forgotten as soon as you turn your back your browser for more than a moment. Possibly when the session expires. For me, it forgets the setting if I close my browser and start it again. Also if I leave the keyboard for more than a few minutes without closing the browser.

Besides, it should be possible to switch the language without losing settings. Wikidata is supposed to be a multilingual project, yes?

soulkeeper.wikipedia wrote:

Ok, as FIXED seems to be code for WONTFIX, I wrote a small javascript that one can put in one's common.js if one so pleases. It may need adjustments for different languages. I'll be the first to admit that it's an ugly hack, but still no match for the nag box IMO. Improvements are welcome.

$(document).ready(function() {
setInterval(function() {

		$('div.tipsy').each(function() {
			var txt = $(this).find('div.tipsy-inner span p').html();
			if (txt.substring(0,12)=='By clicking ') {
				$(this).remove();
			}
		});

},250);
return false;
});

(In reply to comment #11)

I see that the status has been changed to "Verified" now. Good.

The setting is forgotten as soon as you turn your back your browser for more
than a moment. Possibly when the session expires. For me, it forgets the
setting if I close my browser and start it again. Also if I leave the
keyboard
for more than a few minutes without closing the browser.

Besides, it should be possible to switch the language without losing
settings.
Wikidata is supposed to be a multilingual project, yes?

This change isn't live on wikidata.org yet I believe. Also: Do you accept cookies?

Reopening to see if we can make this stick through language changes too.

soulkeeper.wikipedia wrote:

Yes, my browser accepts cookies. (Didn't know I could even log in without them.)

Yesterday, after dismissing the nag box, I had only one open tab (in Firefox). I clicked a Wikipedia link under the "List of pages linked to this item" header, then I almost immediately clicked the "Edit links" link in the Wikipedia sidebar to get back to Wikidata, and lo and behold, the nag box was back already, so I got to dismiss it twice in probably less than a minute.

Stryn added a comment.Jun 3 2013, 3:51 PM

This message still comes just if you close your browser and open it again.

This problem seems to be two-fold:

  • the cookie name includes the user's interface language
  • the cookie has no expiry time set (so it defaults to "browser session")

Using a language independent name for the cookie and setting an expiry time of 10 years or so should fix this.

Danwe added a comment.Aug 1 2013, 5:56 PM

The idea behind using the interface language was that we could display the message again as soon as it changes since the whole message string in that language was stored in the cookie.

We should set the expiry time though, that should improve the situation a lot.

Change 77155 had a related patch set uploaded by Daniel Werner:
(bug 47435) Set expire time for cookies for dismissed copyright notice.

https://gerrit.wikimedia.org/r/77155

Making it language-dependent for that is an ugly hack ;-) Please solve this in another way. It's pretty annoying for people who switch languages on Wikidata.

Change 77155 merged by jenkins-bot:
(bug 47435) Set expire time for cookies for dismissed copyright notice.

https://gerrit.wikimedia.org/r/77155